#include <ogrsf_frmts.h>
#include <cassert>
#include <iostream>
using namespace std;

int main()
{
	OGRRegisterAll();

    OGRSFDriver* driver = NULL;
    driver = OGRSFDriverRegistrar::GetRegistrar()->GetDriverByName("ESRI Shapefile");
    assert(NULL != driver);

    OGRDataSource* ds = driver->CreateDataSource("empty.shp", NULL); 
    assert(NULL != ds);

    OGRSpatialReference srs; 
    OGRLayer* layer = ds->CreateLayer("empty", &srs, wkbPoint, NULL); 
    assert(NULL != layer);

    OGRFieldDefn fieldDef("dummy", OFTReal); 
    fieldDef.SetWidth(1); 
    fieldDef.SetPrecision(1); 
    if (layer->CreateField(&fieldDef, FALSE) != OGRERR_NONE) 
    { 
        cout << "CreateField failed!\n";
    } 

    OGRDataSource::DestroyDataSource(ds);

	return 0;
}
