#include <ogrsf_frmts.h>
#include <cassert>
#include <iostream>
using namespace std;

int main()
{
	OGRRegisterAll();

    OGRDataSource* ds = NULL;
    ds = OGRSFDriverRegistrar::Open("empty.shp", TRUE);
    assert(NULL != ds);

    OGRLayer* layer = ds->GetLayerByName("empty");
    assert(NULL != layer);

    OGRFeatureDefn* featDef = layer->GetLayerDefn();
    assert(NULL != featDef);

    OGRFeature* feat = NULL;
    feat = new OGRFeature(featDef);
    feat->SetField("dummy", 3.14);

    OGRPoint pt;
    pt.setX(1.25);
    pt.setY(2.35);
    if (feat->SetGeometry(&pt) != OGRERR_NONE)
        cout << "SetGeometry failed!\n";

    if (layer->CreateFeature(feat) != OGRERR_NONE)
        cout << "CreateFeature failed!\n";
        
    OGRFeature::DestroyFeature(feat);
    OGRDataSource::DestroyDataSource(ds);

	return 0;
}
